CLASS_COMPAT_REGISTE(9)

NAME
class_compat_register - register a compatibility class

SYNOPSIS

struct class_compat * class_compat_register(const char * name);

ARGUMENTS

name
    the name of the class

DESCRIPTION

Compatibility class are meant as a temporary user-space compatibility workaround when converting a family of class devices to a bus devices.

COPYRIGHT